CREATE procedure [C6StagingPeriodico].[RP_UPDATE_RP_CATALOGOPRODOTTI] as  
begin  
 update c6stagingperiodico.RP_CATALOGOPRODOTTI  
 set   
  tip_Emittente = B.tipoemittente,  
  tip_Tasso = B.tipoTasso  
 from  
  c6stagingperiodico.RP_CATALOGOPRODOTTI A  
 join  
  c6stagingperiodico.decodEmittente B  
 ON  
  A.CODISIN = B.ISIN  
END